/*
 * control.h
 */

#define MODE_DRONE 	0x1000
#define MODE_MOVE	0x0001
#define MODE_MISSILE 	0x0002

/*
typedef struct
{
	short angle;			// direction
	long xmotion, zmotion;		// movement
	long xpos, zpos;		// position
	long old_x, old_z;		// storage of ^^
	long tiltmissile;		// missile tilt angle
	long missiletime, hittime;	// counters
	long misstime;			// more counters
	u_long mode;			// flags
	u_long vp;			// viewpoint
	u_long keymask, keyhold;	// temporary storage for pad buttons
} player_str;
*/

#include "player.h"

typedef struct
{
	int map;
	int plyrs;
} game_str;

extern player_str red, blue;		// player info
extern game_str game;

extern void initPlayers(void);
extern void initGame(void);
extern void gameNext(void);
extern void moveBlue(u_long);
extern void moveRed(u_long);
