/*
 * map.h
 */

#define MAP_ZRES 32
#define MAP_XRES 64
#define MAP_REALZ 16
#define MAP_REALX 32
#define NUM_MAPS 3
#define MAP_FENCE 1

// 1 for a fence around the arena, 0 for 'open-plan'

typedef struct
{
	char map[MAP_REALZ][MAP_REALX];
} map_str;

extern map_str maps[NUM_MAPS];

#define MAP_GETBIT(m, z, x)	maps[m].map[(z)>>1][(x)>>1]

extern int map_checkx(int, u_long, u_long);
extern int map_checkz(int, u_long, u_long);
